/*
 * Copyright (C) 2005-2006 Andre Noll <maan@systemlinux.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */

/** \file afs.h exported functions from afs.c (para_server) */
void afs_init(void);
void afs_send_chunk(void);
struct timeval *afs_preselect(void);
const char *audio_format_name(int);
unsigned int afs_playing(void);
unsigned int afs_next(void);
unsigned int afs_repos(void);
unsigned int afs_paused(void);
char *afs_get_header(int *header_len);
struct timeval *afs_chunk_time(void);
int guess_audio_format(const char *name);
const char *supported_audio_formats(void);
/* status flags */
#define AFS_NOMORE 1
#define AFS_NEXT 2
#define AFS_REPOS 4
#define AFS_PLAYING 8
#define DBT_CHANGE 16
