/* grab_client.cmdline.h */

/* File autogenerated by gengetopt version 2.17rc2  */

#ifndef GRAB_CLIENT_CMDLINE_H
#define GRAB_CLIENT_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef GRAB_CLIENT_CMDLINE_PARSER_PACKAGE
#define GRAB_CLIENT_CMDLINE_PARSER_PACKAGE "grab"
#endif

#ifndef GRAB_CLIENT_CMDLINE_PARSER_VERSION
#define GRAB_CLIENT_CMDLINE_PARSER_VERSION "(paraslash 0.2.13, sonic convolution)"
#endif

struct grab_client_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int filter_num_arg;	/* point of filter chain to grab (default='1').  */
  char * filter_num_orig;	/* point of filter chain to grab original value given at command line.  */
  const char *filter_num_help; /* point of filter chain to grab help description.  */
  int slot_arg;	/* only grab this slot; grab any slot if negative (default='-1').  */
  char * slot_orig;	/* only grab this slot; grab any slot if negative original value given at command line.  */
  const char *slot_help; /* only grab this slot; grab any slot if negative help description.  */
  char * audio_format_arg;	/* only grab this type of input stream;
  	grab any if empty (default='').  */
  char * audio_format_orig;	/* only grab this type of input stream;
  	grab any if empty original value given at command line.  */
  const char *audio_format_help; /* only grab this type of input stream;
  	grab any if empty help description.  */
  int input_grab_flag;	/* grab the filter input instead of its output (default=off).  */
  const char *input_grab_help; /* grab the filter input instead of its output help description.  */
  int one_shot_flag;	/* stop grabbing if audio file changes (default=off).  */
  const char *one_shot_help; /* stop grabbing if audio file changes help description.  */
  char * mode_arg;	/* select grab mode (default='sloppy').  */
  char * mode_orig;	/* select grab mode original value given at command line.  */
  const char *mode_help; /* select grab mode help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int filter_num_given ;	/* Whether filter_num was given.  */
  int slot_given ;	/* Whether slot was given.  */
  int audio_format_given ;	/* Whether audio_format was given.  */
  int input_grab_given ;	/* Whether input_grab was given.  */
  int one_shot_given ;	/* Whether one_shot was given.  */
  int mode_given ;	/* Whether mode was given.  */

} ;

extern const char *grab_client_args_info_purpose;
extern const char *grab_client_args_info_usage;
extern const char *grab_client_args_info_help[];

int grab_client_cmdline_parser (int argc, char * const *argv,
  struct grab_client_args_info *args_info);
int grab_client_cmdline_parser2 (int argc, char * const *argv,
  struct grab_client_args_info *args_info,
  int override, int initialize, int check_required);
int grab_client_cmdline_parser_file_save(const char *filename,
  struct grab_client_args_info *args_info);

void grab_client_cmdline_parser_print_help(void);
void grab_client_cmdline_parser_print_version(void);

void grab_client_cmdline_parser_init (struct grab_client_args_info *args_info);
void grab_client_cmdline_parser_free (struct grab_client_args_info *args_info);

int grab_client_cmdline_parser_string (const char *cmdline, struct grab_client_args_info *args_info,
  const char *prog_name);
int grab_client_cmdline_parser_string2 (const char *cmdline, struct grab_client_args_info *args_info,
  const char *prog_name,
  int override, int initialize, int check_required);

int grab_client_cmdline_parser_required (struct grab_client_args_info *args_info,
  const char *prog_name);

extern char *grab_client_cmdline_parser_mode_values[] ;	/* Possible values for mode.  */


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* GRAB_CLIENT_CMDLINE_H */
